import { ElementRef, OnInit } from "@angular/core";
import { StiModelService } from "../../services/model.service";
import { StiDateTimeBoxElement } from "../../elements/StiDateTimeBoxElement";
import { StiEditableContentService } from "../../services/sti-editable-content.service";
import * as i0 from "@angular/core";
export declare class StiDateTimeBoxComponent implements OnInit {
    model: StiModelService;
    editableService: StiEditableContentService;
    inputDate: ElementRef;
    element: StiDateTimeBoxElement;
    isClone: boolean;
    get isCurrent(): boolean;
    get isReadOnly(): boolean;
    get needToFill(): boolean;
    get align(): string;
    get isMozila(): boolean;
    get horizontalAlignment(): "center" | "start" | "flex-end";
    get format(): string;
    getValue(): string;
    parseDate(value: any): void;
    formattingDate(dateFormat: any): any;
    changeState(): void;
    borderWidth(): string;
    inFocus(): void;
    constructor(model: StiModelService, editableService: StiEditableContentService);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiDateTimeBoxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiDateTimeBoxComponent, "sti-datetimebox-component", never, { "element": { "alias": "element"; "required": false; }; "isClone": { "alias": "isClone"; "required": false; }; }, {}, never, never, false, never>;
}
